Interactive Ink

GetStarted Example can not run!

i am new to develop iOS.

I git the source code from github,and follow the playing with the Get started example.

But run the pod install.It show the following message:

Analyzing dependencies

[!] Unable to find a specification for `MyScriptInteractiveInk-Runtime (= 1.3.2)` depended upon by `MyScriptInteractiveInk-UIReferenceImplementation`

You have either:

 * out-of-date source repos which you can update with `pod repo update` or with `pod install --repo-update`.

 * mistyped the name or version.

 * not added the source repo that hosts the Podspec to your Podfile.

I follow the form kit ,run the 'pod repo update' .The message is:

Updating spec repo `master`

 $ /usr/bin/git -C /Users/dbseti/.cocoapods/repos/master fetch origin

 --progress

  remote: Enumerating objects: 3463, done.        

  remote: Counting objects: 100% (3463/3463), done.        

  remote: Compressing objects: 100% (153/153), done.        

  remote: Total 7462 (delta 3337), reused 3344 (delta 3304), pack-reused 3999        

 Receiving objects: 100% (7462/7462), 826.89 KiB | 630.00 KiB/s, done.

 Resolving deltas: 100% (5201/5201), completed with 1268 local objects.

 From https://github.com/CocoaPods/Specs

     58dcdca4720..71f1ffbc95d  master     -> origin/master

 $ /usr/bin/git -C /Users/dbseti/.cocoapods/repos/master rev-parse --abbrev-ref

 HEAD

 fatal: ambiguous argument 'HEAD': unknown revision or path not in the working tree.

 Use '--' to separate paths from revisions, like this:

 'git <command> [<revision>...] -- [<file>...]'

 HEAD

[!] CocoaPods was not able to update the `master` repo. If this is an unexpected issue and persists you can inspect it running `pod repo update --verbose`

Then i run the 'pod repo update --verbose',the message follow:

 CDN: trunk Relative path: CocoaPods-version.yml exists! Returning local

 because checking is only perfomed in repo update


Updating spec repo `master`

 $ /usr/bin/git -C /Users/dbseti/.cocoapods/repos/master fetch origin

 --progress

 $ /usr/bin/git -C /Users/dbseti/.cocoapods/repos/master rev-parse --abbrev-ref

 HEAD

 fatal: ambiguous argument 'HEAD': unknown revision or path not in the working tree.

 Use '--' to separate paths from revisions, like this:

 'git <command> [<revision>...] -- [<file>...]'

 HEAD

[!] CocoaPods was not able to update the `master` repo. If this is an unexpected issue and persists you can inspect it running `pod repo update --verbose`


/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:169:in `rescue in update_git_repo'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:160:in `update_git_repo'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-core-1.8.4/lib/cocoapods-core/source.rb:347:in `update'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:126:in `block (3 levels) in update'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/user_interface.rb:64:in `section'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:125:in `block (2 levels) in update'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:124:in `each'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:124:in `block in update'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:122:in `open'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/sources_manager.rb:122:in `update'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/command/repo/update.rb:23:in `run'

/Library/Ruby/Gems/2.3.0/gems/claide-1.0.3/lib/claide/command.rb:334:in `run'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/lib/cocoapods/command.rb:52:in `run'

/Library/Ruby/Gems/2.3.0/gems/cocoapods-1.8.4/bin/pod:55:in `<top (required)>'

/usr/local/bin/pod:22:in `load'

/usr/local/bin/pod:22:in `<main>'


At last i run the getStarted in Xcode,and it has the error message:


Showing All Messages

/Users/dbseti/Downloads/interactive-ink-examples-ios-master/Examples/GetStarted/Pods/Target Support Files/Pods-GetStarted/Pods-GetStarted.debug.xcconfig: unable to open file (in target "GetStarted" in project "GetStarted")

Any body has gone with these error and get rid of it. 


Dear DB,


can you please refer to the following topic: https://developer-support.myscript.com/support/discussions/topics/16000021053


It should help.


Best regards,


Olivier

I follow the "GetStartExample" tutorial exactly, step by step.

Follow the topic precisely,and I think the point is the following message.

image

And I try the 'pod repo update',also there are some 'red' message:

image

And I am very discouragement,i have already spend more than 1 week time on this topic. 

Dear D B,


currently, I tried again on my side and it worked out of the box.


Can you please proceed again as described in our documentation: https://developer.myscript.com/docs/interactive-ink/1.3/ios/fundamentals/get-started/#playing-with-the-get-started-example


Here is the way I proceeded:


If this doesn't work, please provide exactly the result of your terminal.


Best regards,


Olivier

Thanks for the reply,Oliver

Here is the result of my terminal

image


Thank you Oliver,I have already resolve the problem for removing my pod master

image


Dear DB,


thank you for the update.


Indeed, deleting the pod master repository is likely to solve such issue: https://stackoverflow.com/questions/25913733/unable-to-find-a-specification-in-cocoapods


Best regards,


Olivier

Oliver,Thank you for your patience.Very nice experience.


Login or Signup to post a comment